org.apache.lucene.uninverting

## Enum UninvertingReader.Type

- java.lang.Object
- - java.lang.Enum<UninvertingReader.Type>
  - - org.apache.lucene.uninverting.UninvertingReader.Type

- All Implemented Interfaces:
    Serializable, Comparable<UninvertingReader.Type>
  Enclosing class:
    UninvertingReader

      public static enum UninvertingReader.Type
      extends Enum<UninvertingReader.Type>

  Specifies the type of uninversion to apply for the field.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY` Single-valued Binary, (e.g.
    `DOUBLE` Single-valued Double, (e.g.
    `FLOAT` Single-valued Float, (e.g.
    `INTEGER` Single-valued Integer, (e.g.
    `LONG` Single-valued Long, (e.g.
    `SORTED` Single-valued Binary, (e.g.
    `SORTED_SET_BINARY` Multi-valued Binary, (e.g.
    `SORTED_SET_DOUBLE` Multi-valued Double, (e.g.
    `SORTED_SET_FLOAT` Multi-valued Float, (e.g.
    `SORTED_SET_INTEGER` Multi-valued Integer, (e.g.
    `SORTED_SET_LONG` Multi-valued Long, (e.g.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UninvertingReader.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UninvertingReader.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER

          public static final UninvertingReader.Type INTEGER

      Single-valued Integer, (e.g. indexed with `IntField`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### LONG

          public static final UninvertingReader.Type LONG

      Single-valued Long, (e.g. indexed with `LongField`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### FLOAT

          public static final UninvertingReader.Type FLOAT

      Single-valued Float, (e.g. indexed with `FloatField`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### DOUBLE

          public static final UninvertingReader.Type DOUBLE

      Single-valued Double, (e.g. indexed with `DoubleField`)

      Fields with this type act as if they were indexed with `NumericDocValuesField`.

    - #### BINARY

          public static final UninvertingReader.Type BINARY

      Single-valued Binary, (e.g. indexed with `StringField`)

      Fields with this type act as if they were indexed with `BinaryDocValuesField`.

    - #### SORTED

          public static final UninvertingReader.Type SORTED

      Single-valued Binary, (e.g. indexed with `StringField`)

      Fields with this type act as if they were indexed with `SortedDocValuesField`.

    - #### SORTED_SET_BINARY

          public static final UninvertingReader.Type SORTED_SET_BINARY

      Multi-valued Binary, (e.g. indexed with `StringField`)

      Fields with this type act as if they were indexed with `SortedSetDocValuesField`.

    - #### SORTED_SET_INTEGER

          public static final UninvertingReader.Type SORTED_SET_INTEGER

      Multi-valued Integer, (e.g. indexed with `IntField`)

      Fields with this type act as if they were indexed with `SortedSetDocValuesField`.

    - #### SORTED_SET_FLOAT

          public static final UninvertingReader.Type SORTED_SET_FLOAT

      Multi-valued Float, (e.g. indexed with `FloatField`)

      Fields with this type act as if they were indexed with `SortedSetDocValuesField`.

    - #### SORTED_SET_LONG

          public static final UninvertingReader.Type SORTED_SET_LONG

      Multi-valued Long, (e.g. indexed with `LongField`)

      Fields with this type act as if they were indexed with `SortedSetDocValuesField`.

    - #### SORTED_SET_DOUBLE

          public static final UninvertingReader.Type SORTED_SET_DOUBLE

      Multi-valued Double, (e.g. indexed with `DoubleField`)

      Fields with this type act as if they were indexed with `SortedSetDocValuesField`.

  - ### Method Detail

    - #### values

          public static UninvertingReader.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UninvertingReader.Type c : UninvertingReader.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UninvertingReader.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.